routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', [\App\Http\Controllers\HomeController::class, 'index']);


Auth::routes();
Route::get('login', [\App\Http\Controllers\Auth\LoginController::class,'showLoginForm'])->name('login');
Route::post('login', [\App\Http\Controllers\Auth\LoginController::class,'login']);
Route::get('logout', [\App\Http\Controllers\Auth\LoginController::class,'logout'])->name('logout');

Route::middleware('auth')->prefix('profile')->namespace('panel')->group(function () {
    Route::get('/', [\App\Http\Controllers\UserController::class, 'index'])->name('profile');
    Route::resource('questions', 'QuestionController');
});
Route::resource('questions', 'Web\QuestionController', ['as' => 'web']);
Route::resource('answers', 'Web\AnswerController', ['as' => 'web']);

app/Question.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Question extends Model
{
    protected $guarded = [];
    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function answers()
    {
        return $this->hasMany(Answer::class);
    }
}

app/Http/Controllers/Panel/QuestionController.php
<?php

namespace App\Http\Controllers\Panel;

use App\Http\Controllers\Controller;
use App\Http\Requests\QuestionRequest;
use App\Question;
use App\Services\Question\QuestionService;
use Illuminate\Http\Request;

class QuestionController extends Controller
{
    public function __construct(QuestionService $questionService)
    {
        $this->questionService = $questionService;
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $questions = auth()->user()->questions;
        return view('panel.questions.questions', compact('questions'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('panel.questions.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(QuestionRequest $request)
    {
        $question = $this->questionService->store($request);
        return redirect()->route('questions.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {

    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(QuestionRequest $request, Question $question)
    {
        $question = $this->questionService->update($request, $question);
        return redirect()->route('questions.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

app/Http/Controllers/Web/QuestionController.php
<?php

namespace App\Http\Controllers\Web;

use App\Http\Controllers\Controller;
use App\Question;
use Illuminate\Http\Request;
use Illuminate\Http\Response;

class QuestionController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return Response
     */
    public function index()
    {
        $questions = Question::with('answers')->get();
        return view('web.questions', compact('questions'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return Response
     */
    public function create()
    {
        dd(__METHOD__);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param Question $question
     * @return Response
     */
    public function show(Question $question)
    {
        return view('web.question', compact('question'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return Response
     */
    public function destroy($id)
    {
        //
    }
}

resources/views/panel/questions/create.blade.php
@extends('panel.master-new')


@section('css')
    <meta name="yn-tag" id="070d272d-fd60-452c-860c-1fa6971d609e">
    <link href="{{ asset('css/bootstrap-tour.min.css') }}" rel="stylesheet">
    <link rel="stylesheet" href="{{ asset('assets/css/student-panel.css') }}" type="text/css">
@endsection
@section('content')

    <div class="main-panel">
        <div class="main-content">
            <div class="content-wrapper">
                <div class="container-fluid">
                    <section id="configuration">
                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-header">
                                        <div class="card-title-wrap bar-success">
                                            <h4 class="card-title">سوالات من</h4>
                                        </div>
                                    </div>
                                    <div class="card-body collapse show">
                                        <div class="card-block card-dashboard">
                                            <form class="form form-horizontal" action="{{ route('questions.store') }}" method="post">
                                                @csrf
                                                <div class="form-body">

                                                    <div class="form-group row">
                                                        <label class="col-md-3 label-control" for="projectinput1">عنوان سوال
                                                            : </label>
                                                        <div class="col-md-6">
                                                            <input type="text" id="projectinput1" class="form-control"
                                                                   name="title" >
                                                        </div>
                                                    </div>

                                                    <div class="form-group row">
                                                        <label class="col-md-3 label-control" for="projectinput9">
                                                            متن سوال :
                                                        </label>
                                                        <div class="col-md-6">
                                                            <textarea id="projectinput9" rows="10" class="form-control"
                                                                      name="desc"></textarea>
                                                        </div>
                                                    </div>
                                                    <div class="form-group row">
                                                        <div class="col-md-3" >

                                                        </div>
                                                        <div class="col-md-6 text-center" for="projectinput9">
                                                            <button type="submit" class="btn btn-success green-gradient  w-75">
                                                                ذخیره تغییرات
                                                            </button>
                                                        </div>

                                                    </div>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </div>
    </div>

@endsection

resources/views/panel/questions/questions.blade.php
@extends('panel.master-new')


@section('css')
    <meta name="yn-tag" id="070d272d-fd60-452c-860c-1fa6971d609e">
    <link href="{{ asset('css/bootstrap-tour.min.css') }}" rel="stylesheet">
    <link rel="stylesheet" href="{{ asset('assets/css/student-panel.css') }}" type="text/css">
@endsection
@section('content')

    <div class="main-panel">
        <div class="main-content">
            <div class="content-wrapper">
                <div class="container-fluid">
                    <section id="configuration">
                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-header">
                                        <div class="card-title-wrap bar-success">
                                            <h4 class="card-title">سوالات من</h4>
                                        </div>
                                    </div>
                                    <div class="card-body collapse show">
                                        <div class="card-block card-dashboard">
                                            <a href="{{ route('questions.create') }}" class="btn mr-1 btn-success">ایجاد سوال</a>
                                            {{--                                            <p class="card-text">داده های جداول اغلب ویژگی های پیش فرض را فعال می کنند، بنابراین همه چیزهایی که باید برای استفاده از آن با استفاده از ables خود انجام دهید، تماس با تابع ساخت است: $ (). DataTable ()؛</p>--}}
                                            <table class="table table-striped table-bordered zero-configuration">
                                                <thead>
                                                <tr>
                                                    <th>#</th>
                                                    <th>عنوان سوال</th>
                                                </tr>
                                                </thead>
                                                <tbody>

                                                @foreach($questions as $key => $question)
                                                    <tr>
                                                        <td>{{ $key }}</td>
                                                        <td>
                                                            <a href="{{ route('web.questions.show', ['question' => $question->id]) }}">{{ $question->title }}</a>
                                                        </td>

                                                    </tr>
                                                @endforeach
                                                </tbody>
{{--                                                <tfoot>--}}
{{--                                                <tr>--}}
{{--                                                    <th>نام</th>--}}
{{--                                                    <th>موقعیت</th>--}}
{{--                                                    <th>اداره</th>--}}
{{--                                                    <th>سن</th>--}}
{{--                                                    <th>تاریخ شروع</th>--}}
{{--                                                    <th>حقوق</th>--}}
{{--                                                </tr>--}}
{{--                                                </tfoot>--}}
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </div>
    </div>

@endsection